
Infrastructure - Task #5993

Do not attempt to replicate invalid documents

2014-07-23 19:10 - Skye Roseboom

Status: Closed Start date: 2014-07-23

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.4 Story Points:  

Product Version: 1.4.0   

Description

After replication auditing discovers an invalid document - where the invalid replica is the 'authoritative' member node - the document

should be passed over for replication.

Update replication control logic to check whether replication source is invalid and remove from replication queue if so.

Related issues:

Related to Infrastructure - Story #5533: CCI 1.4.0 Release Closed

History

#1 - 2014-07-23 19:11 - Skye Roseboom

- Parent task deleted (#5533)

#2 - 2014-07-23 19:43 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2014-07-23 19:44 - Skye Roseboom

- Description updated

#4 - 2014-07-28 17:58 - Skye Roseboom

- Status changed from In Progress to Testing

#5 - 2014-07-31 20:03 - Robert Waltz

- Product Version changed from * to 1.4.0

#6 - 2014-09-11 15:43 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

tested in cn-sandbox and cn-stage
